<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>computeEquationresiduals &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>computeEquationresiduals
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">43 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">computeEquationresiduals</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine computeEquationresiduals(this, field)
    
    
   
</h2>
    
  


    
    <p>computeEquationresiduals calculates the scaled residual for an arbitrary transport equation.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E139"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E53"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~computeequationresiduals~~CallsGraph Pages: 1 -->
<svg id="proccomputeequationresidualsCallsGraph" width="282pt" height="326pt"
 viewBox="0.00 0.00 282.00 326.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~computeequationresiduals~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 322)">
<title>proc~~computeequationresiduals~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-322 278,-322 278,4 -4,4"/>
<!-- proc~computeequationresiduals -->
<g id="proc~~computeequationresiduals~~CallsGraph_node1" class="node">
<title>proc~computeequationresiduals</title>
<polygon fill="none" stroke="#000000" points="138,-171 0,-171 0,-147 138,-147 138,-171"/>
<text text-anchor="middle" x="69" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">computeEquationresiduals</text>
</g>
<!-- vecassemblybegin -->
<g id="proc~~computeequationresiduals~~CallsGraph_node2" class="node">
<title>vecassemblybegin</title>
<polygon fill="#777777" stroke="#777777" points="274,-318 174,-318 174,-294 274,-294 274,-318"/>
<text text-anchor="middle" x="224" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblybegin</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecassemblybegin -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge1" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecassemblybegin</title>
<path fill="none" stroke="#000000" d="M76.2054,-171.0505C91.4179,-195.584 129.1294,-251.8116 174,-285 176.0201,-286.4942 178.1624,-287.905 180.3795,-289.2337"/>
<polygon fill="#000000" stroke="#000000" points="178.7326,-292.322 189.2011,-293.9535 182.0349,-286.1499 178.7326,-292.322"/>
</g>
<!-- matmult -->
<g id="proc~~computeequationresiduals~~CallsGraph_node3" class="node">
<title>matmult</title>
<polygon fill="#777777" stroke="#777777" points="251,-276 197,-276 197,-252 251,-252 251,-276"/>
<text text-anchor="middle" x="224" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matmult</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;matmult -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge2" class="edge">
<title>proc~computeequationresiduals&#45;&gt;matmult</title>
<path fill="none" stroke="#000000" d="M81.7166,-171.1384C100.6413,-188.7259 137.8765,-221.5334 174,-243 178.229,-245.5131 182.8146,-247.8752 187.4351,-250.0432"/>
<polygon fill="#000000" stroke="#000000" points="186.3033,-253.3694 196.865,-254.2069 189.1308,-246.9658 186.3033,-253.3694"/>
</g>
<!-- vecsetvalues -->
<g id="proc~~computeequationresiduals~~CallsGraph_node4" class="node">
<title>vecsetvalues</title>
<polygon fill="#777777" stroke="#777777" points="261,-234 187,-234 187,-210 261,-210 261,-234"/>
<text text-anchor="middle" x="224" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecsetvalues</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecsetvalues -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge8" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecsetvalues</title>
<path fill="none" stroke="#000000" d="M98.8856,-171.147C123.4089,-181.1146 158.3171,-195.3031 185.0322,-206.1615"/>
<polygon fill="#000000" stroke="#000000" points="183.8875,-209.4742 194.4694,-209.9972 186.5233,-202.9894 183.8875,-209.4742"/>
</g>
<!-- vecdestroy -->
<g id="proc~~computeequationresiduals~~CallsGraph_node5" class="node">
<title>vecdestroy</title>
<polygon fill="#777777" stroke="#777777" points="256,-192 192,-192 192,-168 256,-168 256,-192"/>
<text text-anchor="middle" x="224" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecdestroy</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecdestroy -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge5" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecdestroy</title>
<path fill="none" stroke="#000000" d="M138.3396,-168.3944C153.2414,-170.4134 168.5502,-172.4874 182.029,-174.3136"/>
<polygon fill="#000000" stroke="#000000" points="181.5633,-177.7824 191.9427,-175.6567 182.5031,-170.8458 181.5633,-177.7824"/>
</g>
<!-- mpi_allreduce -->
<g id="proc~~computeequationresiduals~~CallsGraph_node6" class="node">
<title>mpi_allreduce</title>
<polygon fill="#777777" stroke="#777777" points="263.5,-150 184.5,-150 184.5,-126 263.5,-126 263.5,-150"/>
<text text-anchor="middle" x="224" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi_allreduce</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;mpi_allreduce -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge4" class="edge">
<title>proc~computeequationresiduals&#45;&gt;mpi_allreduce</title>
<path fill="none" stroke="#000000" d="M138.3396,-149.6056C150.4354,-147.9668 162.7992,-146.2917 174.235,-144.7424"/>
<polygon fill="#000000" stroke="#000000" points="175.0024,-148.1704 184.442,-143.3595 174.0626,-141.2338 175.0024,-148.1704"/>
</g>
<!-- vecassemblyend -->
<g id="proc~~computeequationresiduals~~CallsGraph_node7" class="node">
<title>vecassemblyend</title>
<polygon fill="#777777" stroke="#777777" points="270,-108 178,-108 178,-84 270,-84 270,-108"/>
<text text-anchor="middle" x="224" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblyend</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecassemblyend -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge7" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecassemblyend</title>
<path fill="none" stroke="#000000" d="M98.8856,-146.853C123.4089,-136.8854 158.3171,-122.6969 185.0322,-111.8385"/>
<polygon fill="#000000" stroke="#000000" points="186.5233,-115.0106 194.4694,-108.0028 183.8875,-108.5258 186.5233,-115.0106"/>
</g>
<!-- vecduplicate -->
<g id="proc~~computeequationresiduals~~CallsGraph_node8" class="node">
<title>vecduplicate</title>
<polygon fill="#777777" stroke="#777777" points="260,-66 188,-66 188,-42 260,-42 260,-66"/>
<text text-anchor="middle" x="224" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecduplicate</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecduplicate -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge6" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecduplicate</title>
<path fill="none" stroke="#000000" d="M81.7166,-146.8616C100.6413,-129.2741 137.8765,-96.4666 174,-75 176.6659,-73.4158 179.4735,-71.8916 182.3422,-70.4382"/>
<polygon fill="#000000" stroke="#000000" points="184.0723,-73.4917 191.614,-66.0504 181.0779,-67.1644 184.0723,-73.4917"/>
</g>
<!-- vecgetvalues -->
<g id="proc~~computeequationresiduals~~CallsGraph_node9" class="node">
<title>vecgetvalues</title>
<polygon fill="#777777" stroke="#777777" points="261.5,-24 186.5,-24 186.5,0 261.5,0 261.5,-24"/>
<text text-anchor="middle" x="224" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecgetvalues</text>
</g>
<!-- proc~computeequationresiduals&#45;&gt;vecgetvalues -->
<g id="proc~~computeequationresiduals~~CallsGraph_edge3" class="edge">
<title>proc~computeequationresiduals&#45;&gt;vecgetvalues</title>
<path fill="none" stroke="#000000" d="M76.2054,-146.9495C91.4179,-122.416 129.1294,-66.1884 174,-33 176.0201,-31.5058 178.1624,-30.095 180.3795,-28.7663"/>
<polygon fill="#000000" stroke="#000000" points="182.0349,-31.8501 189.2011,-24.0465 178.7326,-25.678 182.0349,-31.8501"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>